Ellipse (Apache Ant API)
Keywords: org.apache.tools.ant.types.optional.image.Ellipse class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.optional.image
Class Ellipse

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.optional.image.ImageOperation
                  org.apache.tools.ant.types.optional.image.BasicShape
                      org.apache.tools.ant.types.optional.image.Ellipse

All Implemented Interfaces:
  java.lang.Cloneable, DrawOperation

    public class Ellipse

extends BasicShape
implements DrawOperation

Draw an ellipse.

See Also:
  `Image`

Field Summary
`protected int` | `height`
`protected int` | `width`

Fields inherited from class org.apache.tools.ant.types.optional.image.BasicShape
`fill, stroke, stroke_width`

Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`instructions`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Ellipse()`

Method Summary
`javax.media.jai.PlanarImage` | `executeDrawOperation()` Abstract method which is intended to create an image buffer and return it so it can be drawn into another object..
`void` | `setHeight(int height)` Set the height.
`void` | `setWidth(int width)` Set the width.

Methods inherited from class org.apache.tools.ant.types.optional.image.BasicShape
`setFill, setStroke, setStrokewidth`

Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`addDraw, addRectangle, addRotate, addScale, addText`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### width

    protected int width

### height

    protected int height

Constructor Detail

### Ellipse

    public Ellipse()

Method Detail

### setWidth

    public void setWidth(int width)

  Set the width.

  Parameters:
    `width` - the width of the elipse.

### setHeight

    public void setHeight(int height)

  Set the height.

  Parameters:
    `height` - the height of the elipse.

### executeDrawOperation

    public javax.media.jai.PlanarImage executeDrawOperation()

  Abstract method which is intended to create an image buffer and return it so it can be drawn into another object. Use an Alpha channel for a "transparent" background..

  Specified by:
    `executeDrawOperation` in interface `DrawOperation`
  Returns:
    a planar image

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD